#delimit;

clear;

set more 1;

set memory 600m;

log using marst.log, replace;

*  DERIVING EMPLOYMENT RATES FOR HOME PRODUCTION CALCULATIONS;

use c:\data\census\empschool190030.dta;

drop if relate==13;

gen employed = empstat==1 if year==93;
gen unemployed = empstat==2 if year==93;
gen noninlf = empstat==3 if year==93;

gen inlf = labforce==2;
gen gainful = occ1950<980;

gen single = marst==6;
gen married = (marst==1 | marst==2);

summ married [w=perwt] if inlf==0 & sex==2 & age>=18 & age<25 & year==90;
summ married [w=perwt] if inlf==0 & sex==2 & age>=18 & age<25 & year==91;
summ married [w=perwt] if inlf==0 & sex==2 & age>=18 & age<25 & year==92;
summ married [w=perwt] if inlf==0 & sex==2 & age>=18 & age<25 & year==93;

summ married [w=perwt] if inlf==0 & sex==2 & age>=25 & age<55 & year==90;
summ married [w=perwt] if inlf==0 & sex==2 & age>=25 & age<55 & year==91;
summ married [w=perwt] if inlf==0 & sex==2 & age>=25 & age<55 & year==92;
summ married [w=perwt] if inlf==0 & sex==2 & age>=25 & age<55 & year==93;

summ married [w=perwt] if inlf==0 & sex==2 & age>=55 & age<65 & year==90;
summ married [w=perwt] if inlf==0 & sex==2 & age>=55 & age<65 & year==91;
summ married [w=perwt] if inlf==0 & sex==2 & age>=55 & age<65 & year==92;
summ married [w=perwt] if inlf==0 & sex==2 & age>=55 & age<65 & year==93;

clear;

use c:\data\census\hoursocc4050.dta;

drop if relate==13;

gen employed = empstat==1;

gen single = marst==6;
gen married = (marst==1 | marst==2);

summ married [w=perwt] if employed==0 & sex==2 & age>=18 & age<25 & year==94;
summ married [w=perwt] if employed==0 & sex==2 & age>=18 & age<25 & year==95;

summ married [w=perwt] if employed==0 & sex==2 & age>=25 & age<55 & year==94;
summ married [w=perwt] if employed==0 & sex==2 & age>=25 & age<55 & year==95;

summ married [w=perwt] if employed==0 & sex==2 & age>=55 & age<65 & year==94;
summ married [w=perwt] if employed==0 & sex==2 & age>=55 & age<65 & year==95;

clear;

use c:\data\census\hoursocc6070.dta;

drop if relate==13;

gen employed = empstat==1;

gen single = marst==6;
gen married = (marst==1 | marst==2);

summ married [w=perwt] if employed==0 & sex==2 & age>=18 & age<25 & year==96;
summ married [w=perwt] if employed==0 & sex==2 & age>=18 & age<25 & year==97;

summ married [w=perwt] if employed==0 & sex==2 & age>=25 & age<55 & year==96;
summ married [w=perwt] if employed==0 & sex==2 & age>=25 & age<55 & year==97;

summ married [w=perwt] if employed==0 & sex==2 & age>=55 & age<65 & year==96;
summ married [w=perwt] if employed==0 & sex==2 & age>=55 & age<65 & year==97;

log close;
